<?php
/**
 * Top level domain (TLD) list for country codes.
 * Generated from IANA (Internet Assigned Numbers Authority) data located
 * at http://www.iana.org/cctld/cctld-whois.htm
 *
 * Format:
 *   $tld['countrycode'] = 'countryname';
 *
 * @package Nls
 */
$tld = array(
    'ac' => Horde_Nls_Translation::t("Ascension Island"),
    'ad' => Horde_Nls_Translation::t("Andorra"),
    'ae' => Horde_Nls_Translation::t("United Arab Emirates"),
    'af' => Horde_Nls_Translation::t("Afghanistan"),
    'ag' => Horde_Nls_Translation::t("Antigua and Barbuda"),
    'ai' => Horde_Nls_Translation::t("Anguilla"),
    'al' => Horde_Nls_Translation::t("Albania"),
    'am' => Horde_Nls_Translation::t("Armenia"),
    'an' => Horde_Nls_Translation::t("Netherlands Antilles"),
    'ao' => Horde_Nls_Translation::t("Angola"),
    'aq' => Horde_Nls_Translation::t("Antarctica"),
    'ar' => Horde_Nls_Translation::t("Argentina"),
    'as' => Horde_Nls_Translation::t("American Samoa"),
    'at' => Horde_Nls_Translation::t("Austria"),
    'au' => Horde_Nls_Translation::t("Australia"),
    'aw' => Horde_Nls_Translation::t("Aruba"),
    'ax' => Horde_Nls_Translation::t("Aland Islands"),
    'az' => Horde_Nls_Translation::t("Azerbaijan"),
    'ba' => Horde_Nls_Translation::t("Bosnia and Herzegovina"),
    'bb' => Horde_Nls_Translation::t("Barbados"),
    'bd' => Horde_Nls_Translation::t("Bangladesh"),
    'be' => Horde_Nls_Translation::t("Belgium"),
    'bf' => Horde_Nls_Translation::t("Burkina Faso"),
    'bg' => Horde_Nls_Translation::t("Bulgaria"),
    'bh' => Horde_Nls_Translation::t("Bahrain"),
    'bi' => Horde_Nls_Translation::t("Burundi"),
    'bj' => Horde_Nls_Translation::t("Benin"),
    'bm' => Horde_Nls_Translation::t("Bermuda"),
    'bn' => Horde_Nls_Translation::t("Brunei Darussalam"),
    'bo' => Horde_Nls_Translation::t("Bolivia"),
    'br' => Horde_Nls_Translation::t("Brazil"),
    'bs' => Horde_Nls_Translation::t("Bahamas"),
    'bt' => Horde_Nls_Translation::t("Bhutan"),
    'bv' => Horde_Nls_Translation::t("Bouvet Island"),
    'bw' => Horde_Nls_Translation::t("Botswana"),
    'by' => Horde_Nls_Translation::t("Belarus"),
    'bz' => Horde_Nls_Translation::t("Belize"),
    'ca' => Horde_Nls_Translation::t("Canada"),
    'cc' => Horde_Nls_Translation::t("Cocos (Keeling) Islands"),
    'cd' => Horde_Nls_Translation::t("Congo, The Democratic Republic of the"),
    'cf' => Horde_Nls_Translation::t("Central African Republic"),
    'cg' => Horde_Nls_Translation::t("Congo, Republic of"),
    'ch' => Horde_Nls_Translation::t("Switzerland"),
    'ci' => Horde_Nls_Translation::t("Cote d'Ivoire"),
    'ck' => Horde_Nls_Translation::t("Cook Islands"),
    'cl' => Horde_Nls_Translation::t("Chile"),
    'cm' => Horde_Nls_Translation::t("Cameroon"),
    'cn' => Horde_Nls_Translation::t("China"),
    'co' => Horde_Nls_Translation::t("Colombia"),
    'cr' => Horde_Nls_Translation::t("Costa Rica"),
    'cu' => Horde_Nls_Translation::t("Cuba"),
    'cv' => Horde_Nls_Translation::t("Cape Verde"),
    'cx' => Horde_Nls_Translation::t("Christmas Island"),
    'cy' => Horde_Nls_Translation::t("Cyprus"),
    'cz' => Horde_Nls_Translation::t("Czech Republic"),
    'de' => Horde_Nls_Translation::t("Germany"),
    'dj' => Horde_Nls_Translation::t("Djibouti"),
    'dk' => Horde_Nls_Translation::t("Denmark"),
    'dm' => Horde_Nls_Translation::t("Dominica"),
    'do' => Horde_Nls_Translation::t("Dominican Republic"),
    'dz' => Horde_Nls_Translation::t("Algeria"),
    'ec' => Horde_Nls_Translation::t("Ecuador"),
    'ee' => Horde_Nls_Translation::t("Estonia"),
    'eg' => Horde_Nls_Translation::t("Egypt"),
    'eh' => Horde_Nls_Translation::t("Western Sahara"),
    'er' => Horde_Nls_Translation::t("Eritrea"),
    'es' => Horde_Nls_Translation::t("Spain"),
    'et' => Horde_Nls_Translation::t("Ethiopia"),
    'eu' => Horde_Nls_Translation::t("European Union"),
    'fi' => Horde_Nls_Translation::t("Finland"),
    'fj' => Horde_Nls_Translation::t("Fiji"),
    'fk' => Horde_Nls_Translation::t("Falkland Islands (Malvinas)"),
    'fm' => Horde_Nls_Translation::t("Micronesia, Federated States of"),
    'fo' => Horde_Nls_Translation::t("Faroe Islands"),
    'fr' => Horde_Nls_Translation::t("France"),
    'ga' => Horde_Nls_Translation::t("Gabon"),
    'gb' => Horde_Nls_Translation::t("United Kingdom"),
    'gd' => Horde_Nls_Translation::t("Grenada"),
    'ge' => Horde_Nls_Translation::t("Georgia"),
    'gf' => Horde_Nls_Translation::t("French Guiana"),
    'gg' => Horde_Nls_Translation::t("Guernsey"),
    'gh' => Horde_Nls_Translation::t("Ghana"),
    'gi' => Horde_Nls_Translation::t("Gibraltar"),
    'gl' => Horde_Nls_Translation::t("Greenland"),
    'gm' => Horde_Nls_Translation::t("Gambia"),
    'gn' => Horde_Nls_Translation::t("Guinea"),
    'gp' => Horde_Nls_Translation::t("Guadeloupe"),
    'gq' => Horde_Nls_Translation::t("Equatorial Guinea"),
    'gr' => Horde_Nls_Translation::t("Greece"),
    'gs' => Horde_Nls_Translation::t("South Georgia and the South Sandwich Islands"),
    'gt' => Horde_Nls_Translation::t("Guatemala"),
    'gu' => Horde_Nls_Translation::t("Guam"),
    'gw' => Horde_Nls_Translation::t("Guinea-Bissau"),
    'gy' => Horde_Nls_Translation::t("Guyana"),
    'hk' => Horde_Nls_Translation::t("Hong Kong"),
    'hm' => Horde_Nls_Translation::t("Heard and McDonald Islands"),
    'hn' => Horde_Nls_Translation::t("Honduras"),
    'hr' => Horde_Nls_Translation::t("Croatia/Hrvatska"),
    'ht' => Horde_Nls_Translation::t("Haiti"),
    'hu' => Horde_Nls_Translation::t("Hungary"),
    'id' => Horde_Nls_Translation::t("Indonesia"),
    'ie' => Horde_Nls_Translation::t("Ireland"),
    'il' => Horde_Nls_Translation::t("Israel"),
    'im' => Horde_Nls_Translation::t("Isle of Man"),
    'in' => Horde_Nls_Translation::t("India"),
    'io' => Horde_Nls_Translation::t("British Indian Ocean Territory"),
    'iq' => Horde_Nls_Translation::t("Iraq"),
    'ir' => Horde_Nls_Translation::t("Iran, Islamic Republic of"),
    'is' => Horde_Nls_Translation::t("Iceland"),
    'it' => Horde_Nls_Translation::t("Italy"),
    'je' => Horde_Nls_Translation::t("Jersey"),
    'jm' => Horde_Nls_Translation::t("Jamaica"),
    'jo' => Horde_Nls_Translation::t("Jordan"),
    'jp' => Horde_Nls_Translation::t("Japan"),
    'ke' => Horde_Nls_Translation::t("Kenya"),
    'kg' => Horde_Nls_Translation::t("Kyrgyzstan"),
    'kh' => Horde_Nls_Translation::t("Cambodia"),
    'ki' => Horde_Nls_Translation::t("Kiribati"),
    'km' => Horde_Nls_Translation::t("Comoros"),
    'kn' => Horde_Nls_Translation::t("Saint Kitts and Nevis"),
    'kp' => Horde_Nls_Translation::t("Korea, Democratic People's Republic of"),
    'kr' => Horde_Nls_Translation::t("Korea, Republic of"),
    'kw' => Horde_Nls_Translation::t("Kuwait"),
    'ky' => Horde_Nls_Translation::t("Cayman Islands"),
    'kz' => Horde_Nls_Translation::t("Kazakhstan"),
    'la' => Horde_Nls_Translation::t("Lao People's Democratic Republic"),
    'lb' => Horde_Nls_Translation::t("Lebanon"),
    'lc' => Horde_Nls_Translation::t("Saint Lucia"),
    'li' => Horde_Nls_Translation::t("Liechtenstein"),
    'lk' => Horde_Nls_Translation::t("Sri Lanka"),
    'lr' => Horde_Nls_Translation::t("Liberia"),
    'ls' => Horde_Nls_Translation::t("Lesotho"),
    'lt' => Horde_Nls_Translation::t("Lithuania"),
    'lu' => Horde_Nls_Translation::t("Luxembourg"),
    'lv' => Horde_Nls_Translation::t("Latvia"),
    'ly' => Horde_Nls_Translation::t("Libyan Arab Jamahiriya"),
    'ma' => Horde_Nls_Translation::t("Morocco"),
    'mc' => Horde_Nls_Translation::t("Monaco"),
    'md' => Horde_Nls_Translation::t("Moldova, Republic of"),
    'me' => Horde_Nls_Translation::t("Montenegro"),
    'mg' => Horde_Nls_Translation::t("Madagascar"),
    'mh' => Horde_Nls_Translation::t("Marshall Islands"),
    'mk' => Horde_Nls_Translation::t("Macedonia, The Former Yugoslav Republic of"),
    'ml' => Horde_Nls_Translation::t("Mali"),
    'mm' => Horde_Nls_Translation::t("Myanmar"),
    'mn' => Horde_Nls_Translation::t("Mongolia"),
    'mo' => Horde_Nls_Translation::t("Macao"),
    'mp' => Horde_Nls_Translation::t("Northern Mariana Islands"),
    'mq' => Horde_Nls_Translation::t("Martinique"),
    'mr' => Horde_Nls_Translation::t("Mauritania"),
    'ms' => Horde_Nls_Translation::t("Montserrat"),
    'mt' => Horde_Nls_Translation::t("Malta"),
    'mu' => Horde_Nls_Translation::t("Mauritius"),
    'mv' => Horde_Nls_Translation::t("Maldives"),
    'mw' => Horde_Nls_Translation::t("Malawi"),
    'mx' => Horde_Nls_Translation::t("Mexico"),
    'my' => Horde_Nls_Translation::t("Malaysia"),
    'mz' => Horde_Nls_Translation::t("Mozambique"),
    'na' => Horde_Nls_Translation::t("Namibia"),
    'nc' => Horde_Nls_Translation::t("New Caledonia"),
    'ne' => Horde_Nls_Translation::t("Niger"),
    'nf' => Horde_Nls_Translation::t("Norfolk Island"),
    'ng' => Horde_Nls_Translation::t("Nigeria"),
    'ni' => Horde_Nls_Translation::t("Nicaragua"),
    'nl' => Horde_Nls_Translation::t("Netherlands"),
    'no' => Horde_Nls_Translation::t("Norway"),
    'np' => Horde_Nls_Translation::t("Nepal"),
    'nr' => Horde_Nls_Translation::t("Nauru"),
    'nu' => Horde_Nls_Translation::t("Niue"),
    'nz' => Horde_Nls_Translation::t("New Zealand"),
    'om' => Horde_Nls_Translation::t("Oman"),
    'pa' => Horde_Nls_Translation::t("Panama"),
    'pe' => Horde_Nls_Translation::t("Peru"),
    'pf' => Horde_Nls_Translation::t("French Polynesia"),
    'pg' => Horde_Nls_Translation::t("Papua New Guinea"),
    'ph' => Horde_Nls_Translation::t("Philippines"),
    'pk' => Horde_Nls_Translation::t("Pakistan"),
    'pl' => Horde_Nls_Translation::t("Poland"),
    'pm' => Horde_Nls_Translation::t("Saint Pierre and Miquelon"),
    'pn' => Horde_Nls_Translation::t("Pitcairn Island"),
    'pr' => Horde_Nls_Translation::t("Puerto Rico"),
    'ps' => Horde_Nls_Translation::t("Palestinian Territory, Occupied"),
    'pt' => Horde_Nls_Translation::t("Portugal"),
    'pw' => Horde_Nls_Translation::t("Palau"),
    'py' => Horde_Nls_Translation::t("Paraguay"),
    'qa' => Horde_Nls_Translation::t("Qatar"),
    're' => Horde_Nls_Translation::t("Reunion Island"),
    'ro' => Horde_Nls_Translation::t("Romania"),
    'rs' => Horde_Nls_Translation::t("Serbia"),
    'ru' => Horde_Nls_Translation::t("Russian Federation"),
    'rw' => Horde_Nls_Translation::t("Rwanda"),
    'sa' => Horde_Nls_Translation::t("Saudi Arabia"),
    'sb' => Horde_Nls_Translation::t("Solomon Islands"),
    'sc' => Horde_Nls_Translation::t("Seychelles"),
    'sd' => Horde_Nls_Translation::t("Sudan"),
    'se' => Horde_Nls_Translation::t("Sweden"),
    'sg' => Horde_Nls_Translation::t("Singapore"),
    'sh' => Horde_Nls_Translation::t("Saint Helena"),
    'si' => Horde_Nls_Translation::t("Slovenia"),
    'sj' => Horde_Nls_Translation::t("Svalbard and Jan Mayen Islands"),
    'sk' => Horde_Nls_Translation::t("Slovakia"),
    'sl' => Horde_Nls_Translation::t("Sierra Leone"),
    'sm' => Horde_Nls_Translation::t("San Marino"),
    'sn' => Horde_Nls_Translation::t("Senegal"),
    'so' => Horde_Nls_Translation::t("Somalia"),
    'sr' => Horde_Nls_Translation::t("Suriname"),
    'st' => Horde_Nls_Translation::t("Sao Tome and Principe"),
    'su' => Horde_Nls_Translation::t("Soviet Union"),
    'sv' => Horde_Nls_Translation::t("El Salvador"),
    'sy' => Horde_Nls_Translation::t("Syrian Arab Republic"),
    'sz' => Horde_Nls_Translation::t("Swaziland"),
    'tc' => Horde_Nls_Translation::t("Turks and Caicos Islands"),
    'td' => Horde_Nls_Translation::t("Chad"),
    'tf' => Horde_Nls_Translation::t("French Southern Territories"),
    'tg' => Horde_Nls_Translation::t("Togo"),
    'th' => Horde_Nls_Translation::t("Thailand"),
    'tj' => Horde_Nls_Translation::t("Tajikistan"),
    'tk' => Horde_Nls_Translation::t("Tokelau"),
    'tl' => Horde_Nls_Translation::t("Timor-Leste"),
    'tm' => Horde_Nls_Translation::t("Turkmenistan"),
    'tn' => Horde_Nls_Translation::t("Tunisia"),
    'to' => Horde_Nls_Translation::t("Tonga"),
    'tp' => Horde_Nls_Translation::t("East Timor"),
    'tr' => Horde_Nls_Translation::t("Turkey"),
    'tt' => Horde_Nls_Translation::t("Trinidad and Tobago"),
    'tv' => Horde_Nls_Translation::t("Tuvalu"),
    'tw' => Horde_Nls_Translation::t("Taiwan"),
    'tz' => Horde_Nls_Translation::t("Tanzania, United Republic of"),
    'ua' => Horde_Nls_Translation::t("Ukraine"),
    'ug' => Horde_Nls_Translation::t("Uganda"),
    'uk' => Horde_Nls_Translation::t("United Kingdom"),
    'um' => Horde_Nls_Translation::t("United States Minor Outlying Islands"),
    'us' => Horde_Nls_Translation::t("United States"),
    'uy' => Horde_Nls_Translation::t("Uruguay"),
    'uz' => Horde_Nls_Translation::t("Uzbekistan"),
    'va' => Horde_Nls_Translation::t("Holy See (Vatican City State)"),
    'vc' => Horde_Nls_Translation::t("Saint Vincent and the Grenadines"),
    've' => Horde_Nls_Translation::t("Venezuela"),
    'vg' => Horde_Nls_Translation::t("Virgin Islands, British"),
    'vi' => Horde_Nls_Translation::t("Virgin Islands, U.S."),
    'vn' => Horde_Nls_Translation::t("Viet Nam"),
    'vu' => Horde_Nls_Translation::t("Vanuatu"),
    'wf' => Horde_Nls_Translation::t("Wallis and Futuna Islands"),
    'ws' => Horde_Nls_Translation::t("Samoa"),
    'ye' => Horde_Nls_Translation::t("Yemen"),
    'yt' => Horde_Nls_Translation::t("Mayotte"),
    'yu' => Horde_Nls_Translation::t("Yugoslavia"),
    'za' => Horde_Nls_Translation::t("South Africa"),
    'zm' => Horde_Nls_Translation::t("Zambia"),
    'zw' => Horde_Nls_Translation::t("Zimbabwe")
);
